org.eclipse.viatra.cep.vepl.vepl

## Interface Atom

- All Superinterfaces:
    ComplexEventExpression, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AtomImpl

      public interface Atom
      extends ComplexEventExpression

  A representation of the model object 'Atom'.

  The following features are supported:

  - `Pattern Call`
  See Also:
    `VeplPackage.getAtom()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterizedPatternCall` | `getPatternCall()` Returns the value of the 'Pattern Call' containment reference.
    `void` | `setPatternCall(ParameterizedPatternCall value)` Sets the value of the '`Pattern Call`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.ComplexEventExpression

      `getLeft, getMultiplicity, getNegOperator, getRight, getTimewindow, setLeft, setMultiplicity, setNegOperator, setTimewindow`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPatternCall

          ParameterizedPatternCall getPatternCall()

      Returns the value of the 'Pattern Call' containment reference.

      If the meaning of the 'Pattern Call' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pattern Call' containment reference.
      See Also:
        `setPatternCall(ParameterizedPatternCall)`, `VeplPackage.getAtom_PatternCall()`
      Generated:
      Model:
        containment="true"

    - #### setPatternCall

          void setPatternCall(ParameterizedPatternCall value)

      Sets the value of the '`Pattern Call`' containment reference.
      Parameters:
        `value` - the new value of the 'Pattern Call' containment reference.
      See Also:
        `getPatternCall()`
      Generated: